<img
    src="assets/gitProfileManager.png"
    alt="Git Profile Manager"
/>

# Git Profile Manager
> Manage and save git profiles smoothly and user friendly.

## Preface ##
In normal scenario, a user can have more than one profile. One office profile and one home profile. Switching between two profiles can be hectic. This library aims to make it smoothly.

## Features ##
1. Create a new git profile.
2. Remove an existing git profile.
3. Update an existing git profile.
4. Use an existing git profile.
5. List all existing profiles.

## Getting started. ##
Git profile manager will work on all systems which can run node.

## Install
```bash
npm install -g git-profile-manager
```

## Usage
```bash
Usage: git-profile-manager [options] [command]
```

Options:

```bash
-v, --version          output the version number
-h, --help             output usage information
```

Commands:

```bash
add                    Add new git profile
list                   List git profiles
current                List current profile
remove <profileTitle>  Remove existing git profile
update <profileTitle>  Update existing git profile
use <profileTitle>     Use existing git profile
```

## Examples

 - List all existing profiles

```bash
git-profile-manager list
```

 - List current profiles

```bash
git-profile-manager current
```

```bash
git-profile-manager current --global
```

 - Adding a new profile

```bash
git-profile-manager add

Enter profile title: new-profile
Enter user name: newProfile
Enter email: newProfile@gmail.com
Enter SigningKey:
```

 - Removing an existing profile

```bash
git-profile-manager remove new-profile
```

 - Update an existing profile

```bash
git-profile-manager update new-profile

Enter profile title: new-profile
Enter user name: newProfile
Enter email: newProfile@gmail.com
Enter SigningKey:
```

 - Using an existing profile

```bash
git-profile-manager use new-profile
```

```bash
git-profile-manager use --global new-profile
```
